<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */


// Questions count
$test_questions_count = count($test_questions_table);

// Create progress bar
$progress_bar = ($test_questions_current / $test_questions_count) * 100;
$test_questions_number = $test_questions_current - 1;
 
// Get current question
$db->setQuery( 'SELECT * FROM `#__jr_tfb_question` WHERE id = '.$test_questions_table[$test_questions_number] );
$test_current_question = $db->loadObject();

// Get group conditions
$db->setQuery( 'SELECT * FROM `#__jr_tfb_group` WHERE id = '.$test_current_question->question_group );
$question_group_data = $db->loadObject();

// Update answers
$db->setQuery( 'SELECT result_answers FROM `#__jr_tfb_result` WHERE result_result != 2 AND result_test = '.$test_id.' AND result_user = '.$current_user_id);
$user_test_answers = $db->loadResult();
// Get answers
$test_answers = explode(',', $user_test_answers);
// Create answers array
$test_answers_array = array();
$test_questions_number_check = 1;
foreach ($test_answers as $test_answers_item) {
$test_answers_array[$test_questions_number_check] = $test_answers_item;
$test_questions_number_check++;
}

if ($test_current_question->question_select == 0) $answer_order_select = ' ordering';
else $answer_order_select = ' RAND()';

if ($test_current_question->question_answer == 0) {
echo '<div id="jr_test_content">
<div class="jr_row jr_col95">
<div class="jr_test_question jr_line jr_col70">
'.$test_current_question->question_title.'
</div>';
echo '
<div class="jr_test_answer_title jr_line jr_col30">';
// Get answers
$db->setQuery( 'SELECT * FROM `#__jr_tfb_answer` WHERE answer_question = "'.$test_questions_table[$test_questions_number].'" ORDER BY'.$answer_order_select );
$test_current_answers = $db->loadObjectList();
echo '
<select name="jr_tfb_answer_1" class="answer_select">';
echo '
<option value="">'.JText::_( 'JR_TFB_TEST_SELECT_OPTION' ).'</option>';
foreach ($test_current_answers as $test_current_answer) {

if ($test_answers_array[$test_questions_current] == $test_current_answer->ordering) $answer_selected = ' selected="selected"';
else  $answer_selected = '';

echo '
<option value="'.$test_current_answer->ordering.'"'.$answer_selected.'>'.$test_current_answer->answer_title.'</option>';
}
echo '
</select>';
echo '
</div>';
echo '
<input type="hidden" name="jr_test_button" id="jr_test_button" value="stay" />
<input type="hidden" name="jr_test_question" id="jr_test_question" value="'.$test_questions_current.'" />
</div>
</div>';
}

else if ($test_current_question->question_answer == 1) {
echo '<div id="jr_test_content">
<div class="jr_row jr_col95">
<div class="jr_test_question jr_row jr_col100">
'.$test_current_question->question_title.'
</div>';
echo '
<div class="jr_row jr_col100">';
// Get answers
$db->setQuery( 'SELECT * FROM `#__jr_tfb_answer` WHERE answer_question = "'.$test_questions_table[$test_questions_number].'" ORDER BY'.$answer_order_select );
$test_current_answers = $db->loadObjectList();
foreach ($test_current_answers as $test_current_answer) {

if ($test_answers_array[$test_questions_current] == $test_current_answer->ordering) $answer_selected = ' checked="checked"';
else  $answer_selected = '';

echo '
<div class="jr_test_answer_item jr_row jr_col100">
<div class="jr_line jr_col10">
<input type="radio" name="jr_tfb_answer_1" value="'.$test_current_answer->ordering.'" class="answer_radio"'.$answer_selected.' />
</div>';
echo '
<div class="jr_test_answer_title jr_line jr_col90">
'.$test_current_answer->answer_title.'
</div>
</div>';
}
echo '
</div>';
echo '
<input type="hidden" name="jr_test_button" id="jr_test_button" value="stay" />
<input type="hidden" name="jr_test_question" id="jr_test_question" value="'.$test_questions_current.'" />
</div>
</div>';
}

else if ($test_current_question->question_answer == 2) {
echo '<div id="jr_test_content">
<div class="jr_row jr_col95">
<div class="jr_test_question jr_row jr_col100">
'.$test_current_question->question_title.'
</div>';
echo '
<div class="jr_row jr_col100">';
// Get answers
$db->setQuery( 'SELECT * FROM `#__jr_tfb_answer` WHERE answer_question = "'.$test_questions_table[$test_questions_number].'" ORDER BY'.$answer_order_select );
$test_current_answers = $db->loadObjectList();


// Get answers
$test_answers_array_checkbox = explode('`', $test_answers_array[$test_questions_current]);


foreach ($test_current_answers as $test_current_answer) {


if (in_array($test_current_answer->ordering, $test_answers_array_checkbox)) $answer_selected = ' checked="checked"';
else  $answer_selected = '';


echo '
<div class="jr_test_answer_item jr_row jr_col100">
<div class="jr_line jr_col10">
<input type="checkbox" name="jr_tfb_answer_'.$test_current_answer->ordering.'" value="'.$test_current_answer->ordering.'" class="answer_checkbox"'.$answer_selected.' />
</div>';
echo '
<div class="jr_test_answer_title jr_line jr_col90">
'.$test_current_answer->answer_title.'
</div>
</div>';
}
echo '
</div>';
echo '
<input type="hidden" name="jr_test_button" id="jr_test_button" value="stay" />
<input type="hidden" name="jr_test_question" id="jr_test_question" value="'.$test_questions_current.'" />
</div>
</div>';
}

// Question count
if ($test_data->test_count == 1) {
echo '
<div id="jr_test_counter">';
for ($i=1; $i <= $test_questions_count; $i++) {
if ($i == $test_questions_current) echo '<span class="counter_active">'.$i.'</span>';
else echo '<span class="counter_all">'.$i.'</span>';
}
echo '
</div>';
}
else if ($test_data->test_count == 2) echo '
<div id="jr_test_counter">
<span class="counter_bar_full"><span class="counter_bar_current" style="width:'.$progress_bar.'%"></span></span>
</div>';

// Back button
if (in_array($test_current_question->id, $group_back_questions)) $test_question_back_navigation = 1;
else $test_question_back_navigation = 2;

if ($test_questions_current > 1 AND $test_question_back_navigation > 1) echo '
<div id="jr_test_navigation_left">
<span class="jr_test_back">'.JText::_( 'JR_TFB_TEST_BACK' ).'</span>
</div>';
else echo '
<div id="jr_test_navigation_left">
</div>';

// Next button
if ($test_questions_count == $test_questions_current) echo '
<div id="jr_test_navigation_right">
<span class="jr_test_complete">'.JText::_( 'JR_TFB_TEST_NEXT' ).'</span>
</div>
';
else echo '
<div id="jr_test_navigation_right">
<span class="jr_test_next">'.JText::_( 'JR_TFB_TEST_NEXT' ).'</span>
</div>';



// Show group title
if (($question_group_data->group_showtitle == 0 OR ($question_group_data->group_showtitle == 1 AND in_array($test_current_question->id, $group_first_questions))) AND $question_group_data->group_showdesc != 2) echo '
<div id="jr_test_group_title">
'.$question_group_data->group_title.'
</div>';
else if (($question_group_data->group_showtitle == 0 OR ($question_group_data->group_showtitle == 1 AND in_array($test_current_question->id, $group_first_questions))) AND $question_group_data->group_showdesc == 2) echo '
<div id="jr_test_group_title"><span class="jr_tooltip" title="'.$question_group_data->group_desc.'">
'.$question_group_data->group_title.'</span>
</div>';
else echo '
<div id="jr_test_group_title"></div>';

// Show group description
if ($question_group_data->group_showdesc == 0 OR ($question_group_data->group_showdesc == 1 AND in_array($test_current_question->id, $group_first_questions))) echo '
<div id="jr_test_group_description">
'.$question_group_data->group_desc.'
</div>';
else echo '
<div id="jr_test_group_description"></div>';
?>