<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
// Connect DB
$db =& JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params =& JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
$test_id = $_POST['jr_tfb_id'];
// Get forms
$db->setQuery( 'SELECT * FROM `#__jr_tfb_form` WHERE published = 1 AND (form_test = '.$test_id.' OR form_test LIKE "%|'.$test_id.'|%" OR form_test LIKE "'.$test_id.'|%" OR form_test LIKE "%|'.$test_id.'") ORDER BY ordering');
$form_list = $db->loadObjectList();
// Check data
$error = 0;
foreach ($form_list as $form_item) {
${'error_'.$form_item->id} = '';
if ($form_item->form_required == 1) {
//if ($form_item->form_type != 3 AND $_POST['input_'.$form_item->id] != '') $error = 0;
if ($form_item->form_type != 3) {
if ($_POST['input_'.$form_item->id] == '') {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
}
else {
$options = explode('%|%', $form_item->form_options);
$i = 1;
$checkbox = 0;
foreach ($options as $option) {
if ($_POST['input_'.$form_item->id.'_'.$i] != '') $checkbox++;
$i++;
			}
if ($checkbox == 0) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
		}
	}
	
// Digits verification
if ($form_item->form_check == 1 AND !is_numeric($_POST['input_'.$form_item->id])) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
// E-mail verification
if ($form_item->form_check == 2 AND !preg_match("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9]+)?@[a-z0-9_.-]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i",trim($_POST['input_'.$form_item->id]))) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
if ($form_item->form_check == 3) {	
$url = $_POST['input_'.$form_item->id];
ini_set('default_socket_timeout', '10');
$fp = fopen($url, "r");
$res = fread($fp, 500);
fclose($fp);
if (strlen($res) == 0) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
}	
	
	
}
if ($error > 0) {
echo '
<div id="result">
<div id="content">';
foreach ($form_list as $form_item) {
echo ${'error_'.$form_item->id};
if ($form_item->form_desc != '') {
$label_class = " jr_tooltip";
$label_title = ' title="'.htmlspecialchars($form_item->form_desc).'"';
}
else {
$label_class = '';
$label_title = '';
}
echo '
<div class="jr_form_item jr_row jr_col95'.$label_class.'"'.$label_title.'>';
if ($form_item->form_required == 1) {
$label_required = '<span class="jr_required"></span>';
}
else $label_required = '<span class="jr_option"></span>';
echo '
<div class="jr_form_label jr_line jr_col50">
'.$label_required.$form_item->form_title.'
';
echo '
</div>';
echo '
<div class="jr_form_field jr_line jr_col50">';
if ($form_item->form_type == 0) echo '
<input class="jr_form jr_input_text jr_col100" type="text" name="input_'.$form_item->id.'" value="'.$_POST['input_'.$form_item->id].'" />';
else if ($form_item->form_type == 1) echo '
<textarea class="jr_form jr_restrict jr_input_textarea jr_col100" name="input_'.$form_item->id.'">'.$_POST['input_'.$form_item->id].'</textarea>';
else if ($form_item->form_type == 2) {
$form_options = explode('%|%', $form_item->form_options);
foreach ($form_options as $form_option) {
if ($_POST['input_'.$form_item->id] == $form_option) $input_selected = ' checked="checked"';
else $input_selected = '';
echo '
<div class="jr_row">
<div class="jr_line">
<input class="jr_input_radio" type="radio" name="input_'.$form_item->id.'"'.$input_selected.' value="'.$form_option.'" />
</div>
<div class="jr_line jr_form">
'.$form_option.'
</div>
</div>';
	}
}
else if ($form_item->form_type == 3) {
$form_options = explode('%|%', $form_item->form_options);
$i = 1;
foreach ($form_options as $form_option) {
if ($_POST['input_'.$form_item->id.'_'.$i] == $form_option) $input_selected = ' checked="checked"';
else $input_selected = '';
echo '
<div class="jr_row">
<div class="jr_line">
<input class="jr_input_checkbox" type="checkbox" name="input_'.$form_item->id.'_'.$i.'"'.$input_selected.' value="'.$form_option.'" />
</div>
<div class="jr_line jr_form">
'.$form_option.'
</div>
</div>';
$i++;
	}
}
else if ($form_item->form_type == 4) {
echo '
<select class="jr_form jr_input_select jr_col100" name="input_'.$form_item->id.'">';
echo '<option value="">'.JText::_( 'JR_TFB_TEST_SELECT_OPTION' ).'</option>';
$form_options = explode('%|%', $form_item->form_options);
foreach ($form_options as $form_option) {
if ($_POST['input_'.$form_item->id] == $form_option) $input_selected = ' selected="selected"';
else $input_selected = '';
echo '<option value="'.$form_option.'"'.$input_selected.'>'.$form_option.'</option>';
}
echo '
</select>';
}
else if ($form_item->form_type == 5) echo '
<input class="jr_form jr_date jr_edit_no jr_col100" type="text" name="input_'.$form_item->id.'" value="'.$_POST['input_'.$form_item->id].'" readonly="readonly" />';
echo '
</div>';
echo '
</div>';
	}
echo '
</div>
</div>';
echo '
<div id="command">error</div>
';
}

else {
// Save user data
$current_user_id = $_POST['jr_tfb_user'];

// Get user data
$db->setQuery( "SELECT id FROM `#__jr_tfb_user` WHERE user_user = '".$current_user_id."'");
$userId = $db->loadResult();
if (!$userId) {
// Create user data
$insert_entry = "INSERT INTO `#__jr_tfb_user` (user_user) VALUES ('$current_user_id')";
$db->setQuery($insert_entry);
$db->query();
}

foreach ($form_list as $form_item) {
if ($form_item->form_rule == 1 OR $_POST['input_change_'.$form_item->id] == 1) {
if ($form_item->form_type != 3) {
$update_entry = "UPDATE `#__jr_tfb_user` SET `user_".$form_item->id."` = '".$_POST['input_'.$form_item->id]."' WHERE user_user = ".$current_user_id;
$db->setQuery($update_entry);
$db->query();
}


else {
$options = explode('%|%', $form_item->form_options);
$i = 1;
$checkbox = '';
foreach ($options as $option) {
if ($checkbox != '') $checkbox .= '|';
if ($_POST['input_'.$form_item->id.'_'.$i] != '') $checkbox .= '1';
else $checkbox .= '0';
$i++;
			}
$update_entry = "UPDATE `#__jr_tfb_user` SET `user_".$form_item->id."` = '".$checkbox."' WHERE user_user = ".$current_user_id;
$db->setQuery($update_entry);
$db->query();
		}
	}
}





echo '
<div id="result"></div>
<div id="command">ok</div>
';
}
}
?>