<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		3.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org - at - yandex.ru
 * @website		http://jrextensions.ru
 *
 */
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../../../' ));
define('_JEXEC', 1);
define('JPATH_BASE', dirname(__FILE__));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$db = JFactory::getDBO();
//jimport( 'joomla.environment.request' );
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
// Get component params
$params =& JComponentHelper::getParams('com_jr_tfb');
$verification_code = $params->get(test_access);
header("Content-type: text/html; charset=utf-8");
// Get post
$verification = $_POST['verification'];
if ($verification == $verification_code) {
// Check component version
$query = 'SELECT * FROM #__jr_tfb_version WHERE id = 1';
$db->setQuery($query);
$version = $db->loadObject();
$version_id = $version->version_relize;
if (!$version) echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_DB_ERROR' ).'</div>';
else {
$nothing_to_do = 0;
$error_update = 0;
$update_next = 0;

// ----- START UDATE TO VERSION 1.1 -----
if (($version_id === '1.0') AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'models/jrtfbtest.php';
$files_update[] = 'images/loader.gif';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_1/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}

if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbanswer')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbanswer');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbanswerlist')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbanswerlist');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbcategory')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbcategory');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbform')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbform');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbformlist')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbformlist');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbgroup')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbgroup');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbgrouplist')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbgrouplist');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbquestion')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbquestion');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbquestionlist')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbquestionlist');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbresult')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbresult');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbresultlist')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbresultlist');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbresult')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbresult');
if (JFolder::exists(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbuserlist')) JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbuserlist');

}
// ----- END UDATE TO VERSION 1.1 -----

// ----- START UDATE TO VERSION 1.2 -----
if (($version_id === '1.1' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/result.php';
$files_update[] = 'includes/answers.php';
$files_update[] = 'includes/mail_client.php';
$files_update[] = 'includes/mail_manager.php';
$files_update[] = 'includes/tags.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_2/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.2 -----

// ----- START UDATE TO VERSION 1.3 -----
if (($version_id === '1.2' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'models/jrtfbtestlist.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_3/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.3 -----

// ----- START UDATE TO VERSION 1.4 -----
if (($version_id === '1.3' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'models/jrtfbtestlist.php';
$files_update[] = 'models/jrtfbtest.php';
$files_update[] = 'router.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_4/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.4 -----

// ----- START UDATE TO VERSION 1.5 -----
if (($version_id === '1.4' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/filter_manager.php';
$files_update[] = 'includes/filter_manager.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_5/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.5 -----

// ----- START UDATE TO VERSION 1.6 -----
if (($version_id === '1.5' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/user.php';
$files_update[] = 'includes/scripts.php';
$files_update[] = 'includes/tags.php';
$files_update[] = 'models/jrtfbcategorylist.php';
$files_update[] = 'models/jrtfbtestlist.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_6/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.6 -----

// ----- START UDATE TO VERSION 1.7 -----
if (($version_id === '1.6' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/test.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/result_data.php';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_7/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.7 -----

// ----- START UDATE TO VERSION 1.8 -----
if (($version_id === '1.7' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/result_data.php';
$files_update[] = 'includes/testformbuilder.php';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
$files_update[] = 'views/jrtfbtestlist/tmpl/default.php';
$files_update[] = 'views/jrtfbcategorylist/tmpl/default.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_user.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_8/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.8 -----

// ----- START UDATE TO VERSION 1.9 -----
if (($version_id === '1.8' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/tags.php';
$files_update[] = 'includes/user_new.php';
$files_update[] = 'includes/clear.php';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
$files_update[] = 'views/jrtfbtestlist/tmpl/default.php';
$files_update[] = 'views/jrtfbcategorylist/tmpl/default.php';
$files_update[] = 'views/jrtfbuser/tmpl/default.php';
$files_update[] = 'ajax/form.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_9/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.9 -----

// ----- START UDATE TO VERSION 1.10 -----
if (($version_id === '1.9' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/form.php';
$files_update[] = 'includes/user.php';
$files_update[] = 'includes/access_test.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_10/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.10 -----




// ----- START UDATE TO VERSION 1.11 -----
if (($version_id === '1.10' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/user_group.php';
$files_update[] = 'includes/user.php';
$files_update[] = 'includes/access_test.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_11/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.11 -----

// ----- START UDATE TO VERSION 1.12 -----
if (($version_id === '1.11' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/filter_manager.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_12/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.12 -----

// ----- START UDATE TO VERSION 1.13 -----
if (($version_id === '1.12' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/answers.php';
$files_update[] = 'includes/tags.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_13/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.13 -----

// ----- START UDATE TO VERSION 1.14 -----
if (($version_id === '1.13' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/question.php';
$files_update[] = 'includes/question_template.php';
$files_update[] = 'includes/scripts.php';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_14/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.14 -----

// ----- START UDATE TO VERSION 1.15 -----
if (($version_id === '1.14' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'models/jrtfbcategorylist.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_15/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.15 -----

// ----- START UDATE TO VERSION 1.16 -----
if (($version_id === '1.15' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'views/jrtfbtestlist/tmpl/default.php';
$files_update[] = 'css/styles.css';
$files_update[] = 'includes/access_test.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_16/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.16 -----

// ----- START UDATE TO VERSION 1.17 -----
if (($version_id === '1.16' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'includes/result_data.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/tags.php';
$files_update[] = 'includes/answers.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_17/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.17 -----

// ----- START UDATE TO VERSION 1.18 -----
if (($version_id === '1.17' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/filter_manager.php';
$files_update[] = 'ajax/question.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/timer.php';
$files_update[] = 'includes/access_test.php';
$files_update[] = 'includes/answers.php';
$files_update[] = 'includes/question_template.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/result_data.php';
$files_update[] = 'includes/result_group.php';
$files_update[] = 'includes/scripts.php';
$files_update[] = 'includes/tags.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_18/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.18 -----

// ----- START UDATE TO VERSION 1.19 -----
if (($version_id === '1.18' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/timer.php';
$files_update[] = 'includes/answers.php';
$files_update[] = 'includes/question_template.php';
$files_update[] = 'includes/scripts.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/result_data.php';
$files_update[] = 'css/styles.css';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
$files_update[] = 'images/j_button2_image.png';
$files_update[] = 'js/jquery_colorbox/index.html';
$files_update[] = 'js/jquery_colorbox/jquery.colorbox-min.js';
$files_update[] = 'js/jquery_colorbox/script.php';
$files_update[] = 'js/jquery_colorbox/css/index.html';
$files_update[] = 'js/jquery_colorbox/css/colorbox.css';
$files_update[] = 'js/jquery_colorbox/images/index.html';
$files_update[] = 'js/jquery_colorbox/images/border.png';
$files_update[] = 'js/jquery_colorbox/images/controls.png';
$files_update[] = 'js/jquery_colorbox/images/loader.gif';
$files_update[] = 'js/jquery_colorbox/images/loading.gif';
$files_update[] = 'js/jquery_colorbox/images/loading_background.png';
$files_update[] = 'js/jquery_colorbox/images/overlay.png';
$files_update[] = 'js/jquery_colorbox/images/trash.png';
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/js/jquery_colorbox');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/js/jquery_colorbox/css');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/js/jquery_colorbox/images');
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_19/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.19 -----

// ----- START UDATE TO VERSION 1.20 -----
if (($version_id === '1.19' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();

$files_update[] = 'views/jrtfbtest/tmpl/default.php';
$files_update[] = 'css/styles.css';

$files_update[] = 'includes/result_data.php';
$files_update[] = 'includes/filter_manager.php';
$files_update[] = 'includes/filter_user.php';
$files_update[] = 'includes/answers.php';
$files_update[] = 'includes/mail_client.php';
$files_update[] = 'includes/mail_manager.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/scripts.php';

$files_update[] = 'ajax/test_print_template.php';
$files_update[] = 'ajax/test_print_css.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_user.php';
$files_update[] = 'ajax/test_print.php';
$files_update[] = 'ajax/timer.php';

$files_update[] = 'lib/index.html';
$files_update[] = 'lib/pdf/index.html';
$files_update[] = 'lib/pdf/composer.json';
$files_update[] = 'lib/pdf/LICENSE.TXT';
$files_update[] = 'lib/pdf/README.TXT';
$files_update[] = 'lib/pdf/tcpdf.php';
$files_update[] = 'lib/pdf/tcpdf_autoconfig.php';
$files_update[] = 'lib/pdf/tcpdf_barcodes_1d.php';
$files_update[] = 'lib/pdf/tcpdf_barcodes_2d.php';
$files_update[] = 'lib/pdf/tcpdf_import.php';
$files_update[] = 'lib/pdf/tcpdf_parser.php';

$files_update[] = 'lib/pdf/config/index.html';
$files_update[] = 'lib/pdf/config/tcpdf_config.php';

$files_update[] = 'lib/pdf/fonts/arial.php';
$files_update[] = 'lib/pdf/fonts/arial.z';
$files_update[] = 'lib/pdf/fonts/arial.ctg.z';
$files_update[] = 'lib/pdf/fonts/arialb.php';
$files_update[] = 'lib/pdf/fonts/arialb.z';
$files_update[] = 'lib/pdf/fonts/arialb.ctg.z';
$files_update[] = 'lib/pdf/fonts/arialbi.php';
$files_update[] = 'lib/pdf/fonts/arialbi.z';
$files_update[] = 'lib/pdf/fonts/arialbi.ctg.z';
$files_update[] = 'lib/pdf/fonts/ariali.php';
$files_update[] = 'lib/pdf/fonts/ariali.z';
$files_update[] = 'lib/pdf/fonts/ariali.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesans.php';
$files_update[] = 'lib/pdf/fonts/freesans.z';
$files_update[] = 'lib/pdf/fonts/freesans.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesansb.php';
$files_update[] = 'lib/pdf/fonts/freesansb.z';
$files_update[] = 'lib/pdf/fonts/freesansb.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesansbi.php';
$files_update[] = 'lib/pdf/fonts/freesansbi.z';
$files_update[] = 'lib/pdf/fonts/freesansbi.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesansi.php';
$files_update[] = 'lib/pdf/fonts/freesansi.z';
$files_update[] = 'lib/pdf/fonts/freesansi.ctg.z';
$files_update[] = 'lib/pdf/fonts/helvetica.php';
$files_update[] = 'lib/pdf/fonts/helveticab.php';
$files_update[] = 'lib/pdf/fonts/helveticabi.php';
$files_update[] = 'lib/pdf/fonts/helveticai.php';
$files_update[] = 'lib/pdf/fonts/index.html';

$files_update[] = 'lib/pdf/include/index.html';
$files_update[] = 'lib/pdf/include/sRGB.icc';
$files_update[] = 'lib/pdf/include/tcpdf_colors.php';
$files_update[] = 'lib/pdf/include/tcpdf_filters.php';
$files_update[] = 'lib/pdf/include/tcpdf_font_data.php';
$files_update[] = 'lib/pdf/include/tcpdf_fonts.php';
$files_update[] = 'lib/pdf/include/tcpdf_images.php';
$files_update[] = 'lib/pdf/include/tcpdf_static.php';

$files_update[] = 'lib/pdf/include/barcodes/datamatrix.php';
$files_update[] = 'lib/pdf/include/barcodes/index.html';
$files_update[] = 'lib/pdf/include/barcodes/pdf417.php';
$files_update[] = 'lib/pdf/include/barcodes/qrcode.php';

$files_update[] = 'lib/pdf/tools/.htaccess';
$files_update[] = 'lib/pdf/tools/convert_fonts_examples.txt';
$files_update[] = 'lib/pdf/tools/index.html';
$files_update[] = 'lib/pdf/tools/tcpdf_addfont.php';

$files_update[] = 'print/index.html';

JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/config');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/fonts');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/include');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/include/barcodes');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/tools');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/print');

foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_20/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.20 -----

// ----- START UDATE TO VERSION 1.21 -----
if (($version_id === '1.20' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'plugins/index.html';
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/plugins');
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_21/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.21 -----

// ----- START UDATE TO VERSION 1.22 -----
if (($version_id === '1.21' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'css/styles.css';
$files_update[] = 'includes/result_data.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_user.php';
$files_update[] = 'ajax/test_print.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_22/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.22 -----

// ----- START UDATE TO VERSION 1.23 -----
if (($version_id === '1.22' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'css/styles.css';
$files_update[] = 'includes/filter_user.php';
$files_update[] = 'includes/filter_manager.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/result_data.php';
$files_update[] = 'ajax/filter_user.php';
$files_update[] = 'ajax/filter_manager.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_user.php';
// Update answers plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/result_data_includes.php')) $files_update[] = 'plugins/tfb_plugin_answers/result_data_includes.php';
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_ajax.php';
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_user_ajax.php';

foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_23/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.23 -----

// ----- START UDATE TO VERSION 1.24 -----
if (($version_id === '1.23' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbquestionlist');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/views/jrtfbquestionlist/tmpl');
// Move files
$files_update = array();
$files_update[] = 'models/jrtfbquestionlist.php';
$files_update[] = 'views/jrtfbquestionlist\tmpl\default.php';
$files_update[] = 'views/jrtfbquestionlist\tmpl\default.xml';
$files_update[] = 'views/jrtfbquestionlist\tmpl\index.html';
$files_update[] = 'views/jrtfbquestionlist\index.html';
$files_update[] = 'views/jrtfbquestionlist\view.html.php';
$files_update[] = 'css/styles.css';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_user.php';
$files_update[] = 'ajax/test_print_template.php';
$files_update[] = 'includes/result_data.php ';
$files_update[] = 'includes/scripts.php';
$files_update[] = 'includes/clear.php';
$files_update[] = 'includes/mail_client.php';
$files_update[] = 'includes/mail_manager.php';
// Update answers plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/result_data_includes.php')) $files_update[] = 'plugins/tfb_plugin_answers/result_data_includes.php';
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_ajax.php';
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_user_ajax.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_24/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.24 -----

// ----- START UDATE TO VERSION 1.25 -----
if (($version_id === '1.24' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/filter_manager.php';
$files_update[] = 'ajax/filter_user.php';
$files_update[] = 'ajax/form.php';
$files_update[] = 'ajax/question.php';
$files_update[] = 'ajax/result.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_print.php';
$files_update[] = 'ajax/test_user.php';
$files_update[] = 'ajax/timer.php';
// Update answers plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_user_ajax.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_25/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.25 -----

// ----- START UDATE TO VERSION 1.26 -----
if (($version_id === '1.25' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/filter_manager.php';
$files_update[] = 'ajax/filter_user.php';
$files_update[] = 'ajax/form.php';
$files_update[] = 'ajax/question.php';
$files_update[] = 'ajax/result.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_print.php';
$files_update[] = 'ajax/test_print_css.php';
$files_update[] = 'ajax/test_print_template.php';
$files_update[] = 'ajax/test_user.php';
$files_update[] = 'ajax/timer.php';
$files_update[] = 'includes/filter_manager.php';
$files_update[] = 'includes/result_data.php';
// Update answers plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_user_ajax.php';
// Update filter plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_filter_admin/filter_manager_ajax.php')) $files_update[] = 'plugins/tfb_plugin_filter_admin/filter_manager_ajax.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_26/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.26 -----

// ----- START UDATE TO VERSION 1.27 -----
if (($version_id === '1.26' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/form.php';
$files_update[] = 'includes/testformbuilder.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_27/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.27 -----

// ----- START UDATE TO VERSION 1.28 -----
if (($version_id === '1.27' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/form.php';
$files_update[] = 'includes/mail_manager.php';
$files_update[] = 'includes/scripts.php';
$files_update[] = 'views/jrtfbtest/tmpl/default.php';
$files_update[] = 'js/jquery_phone/jquery.inputmask.bundle.min.js';
$files_update[] = 'js/jquery_phone/jquery.inputmask-multi.min.js';
$files_update[] = 'js/jquery_phone/script.php';
$files_update[] = 'js/jquery_phone/index.html';
$files_update[] = 'js/jquery_phone/field.php';
$files_update[] = 'js/jquery_phone/phone-codes.json';
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/js/jquery_phone');
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_28/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.28 -----

// ----- START UDATE TO VERSION 1.29 -----
if (($version_id === '1.28' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/question.php';
$files_update[] = 'includes/result_group.php';
$files_update[] = 'includes/result.php';

$files_update[] = 'lib/pdf/index.html';
$files_update[] = 'lib/pdf/composer.json';
$files_update[] = 'lib/pdf/tcpdf.php';
$files_update[] = 'lib/pdf/tcpdf_autoconfig.php';
$files_update[] = 'lib/pdf/tcpdf_barcodes_1d.php';
$files_update[] = 'lib/pdf/tcpdf_barcodes_2d.php';
$files_update[] = 'lib/pdf/tcpdf_import.php';
$files_update[] = 'lib/pdf/tcpdf_parser.php';

$files_update[] = 'lib/pdf/config/index.html';
$files_update[] = 'lib/pdf/config/tcpdf_config.php';

$files_update[] = 'lib/pdf/fonts/helvetica.php';
$files_update[] = 'lib/pdf/fonts/helveticab.php';
$files_update[] = 'lib/pdf/fonts/helveticabi.php';
$files_update[] = 'lib/pdf/fonts/helveticai.php';
$files_update[] = 'lib/pdf/fonts/index.html';
$files_update[] = 'lib/pdf/fonts/pdfahelvetica.php';
$files_update[] = 'lib/pdf/fonts/pdfahelvetica.z';
$files_update[] = 'lib/pdf/fonts/pdfahelveticab.php';
$files_update[] = 'lib/pdf/fonts/pdfahelveticab.z';
$files_update[] = 'lib/pdf/fonts/pdfahelveticabi.php';
$files_update[] = 'lib/pdf/fonts/pdfahelveticabi.z';
$files_update[] = 'lib/pdf/fonts/pdfahelveticai.php';
$files_update[] = 'lib/pdf/fonts/pdfahelveticai.z';

$files_update[] = 'lib/pdf/fonts/freesansbi.php';
$files_update[] = 'lib/pdf/fonts/freesansbi.z';
$files_update[] = 'lib/pdf/fonts/freesansi.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesansi.php';
$files_update[] = 'lib/pdf/fonts/freesansi.z';
$files_update[] = 'lib/pdf/fonts/freesans.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesans.php';
$files_update[] = 'lib/pdf/fonts/freesans.z';
$files_update[] = 'lib/pdf/fonts/freesansb.ctg.z';
$files_update[] = 'lib/pdf/fonts/freesansb.php';
$files_update[] = 'lib/pdf/fonts/freesansb.z';
$files_update[] = 'lib/pdf/fonts/freesansbi.ctg.z';

$files_update[] = 'lib/pdf/include/index.html';
$files_update[] = 'lib/pdf/include/sRGB.icc';
$files_update[] = 'lib/pdf/include/tcpdf_colors.php';
$files_update[] = 'lib/pdf/include/tcpdf_filters.php';
$files_update[] = 'lib/pdf/include/tcpdf_font_data.php';
$files_update[] = 'lib/pdf/include/tcpdf_fonts.php';
$files_update[] = 'lib/pdf/include/tcpdf_images.php';
$files_update[] = 'lib/pdf/include/tcpdf_static.php';

$files_update[] = 'lib/pdf/include/barcodes/datamatrix.php';
$files_update[] = 'lib/pdf/include/barcodes/index.html';
$files_update[] = 'lib/pdf/include/barcodes/pdf417.php';
$files_update[] = 'lib/pdf/include/barcodes/qrcode.php';

$files_update[] = 'lib/pdf/tools/.htaccess';
$files_update[] = 'lib/pdf/tools/convert_fonts_examples.txt';
$files_update[] = 'lib/pdf/tools/index.html';
$files_update[] = 'lib/pdf/tools/tcpdf_addfont.php';


JFolder::delete(JPATH_SITE.'/components/com_jr_tfb/lib/pdf');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/config');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/fonts');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/include');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/include/barcodes');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/pdf/tools');

foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_29/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.29 -----

// ----- START UDATE TO VERSION 1.30 -----
if (($version_id === '1.29' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/question.php';
$files_update[] = 'includes/mail_client.php';
$files_update[] = 'includes/mail_manager.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/result_group.php';
// Update email plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_email/email.php')) $files_update[] = 'plugins/tfb_plugin_email/email.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_30/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.30 -----

// ----- START UDATE TO VERSION 1.31 -----
if (($version_id === '1.30' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/filter_manager.php';
$files_update[] = 'ajax/filter_user.php';
$files_update[] = 'ajax/question.php';
$files_update[] = 'ajax/test.php';
$files_update[] = 'ajax/test_user.php';
$files_update[] = 'includes/filter_manager.php';
$files_update[] = 'includes/filter_user.php';
$files_update[] = 'includes/mail_client.php';
$files_update[] = 'includes/result.php';
$files_update[] = 'includes/scripts.php';

$files_update[] = 'lib/pdf/fonts/arial.php';
$files_update[] = 'lib/pdf/fonts/arial.z';
$files_update[] = 'lib/pdf/fonts/arial.ctg.z';
$files_update[] = 'lib/pdf/fonts/arialb.php';
$files_update[] = 'lib/pdf/fonts/arialb.z';
$files_update[] = 'lib/pdf/fonts/arialb.ctg.z';
$files_update[] = 'lib/pdf/fonts/arialbi.php';
$files_update[] = 'lib/pdf/fonts/arialbi.z';
$files_update[] = 'lib/pdf/fonts/arialbi.ctg.z';
$files_update[] = 'lib/pdf/fonts/ariali.php';
$files_update[] = 'lib/pdf/fonts/ariali.z';
$files_update[] = 'lib/pdf/fonts/ariali.ctg.z';

$files_update[] = 'lib/qrcode/index.html';
$files_update[] = 'lib/qrcode/index.php';
$files_update[] = 'lib/qrcode/phpqrcode.php';
$files_update[] = 'lib/qrcode/qrbitstream.php';
$files_update[] = 'lib/qrcode/qrconfig.php';
$files_update[] = 'lib/qrcode/qrconst.php';
$files_update[] = 'lib/qrcode/qrencode.php';
$files_update[] = 'lib/qrcode/qrimage.php';
$files_update[] = 'lib/qrcode/qrinput.php';
$files_update[] = 'lib/qrcode/qrlib.php';
$files_update[] = 'lib/qrcode/qrmask.php';
$files_update[] = 'lib/qrcode/qrrscode.php';
$files_update[] = 'lib/qrcode/qrspec.php';
$files_update[] = 'lib/qrcode/qrsplit.php';
$files_update[] = 'lib/qrcode/qrtools.php';
$files_update[] = 'lib/qrcode/qrvect.php';

$files_update[] = 'lib/qrcode/bindings/index.html';
$files_update[] = 'lib/qrcode/bindings/tcpdf/index.html';
$files_update[] = 'lib/qrcode/bindings/tcpdf/qrcode.php';

$files_update[] = 'lib/qrcode/tools/index.html';
$files_update[] = 'lib/qrcode/tools/merge.bat';
$files_update[] = 'lib/qrcode/tools/merge.php';
$files_update[] = 'lib/qrcode/tools/merge.sh';
$files_update[] = 'lib/qrcode/tools/merged_config.php';
$files_update[] = 'lib/qrcode/tools/merged_header.php';

$files_update[] = 'lib/qrcode/cache/index.html';
$files_update[] = 'lib/qrcode/cache/frame_32.dat';
$files_update[] = 'lib/qrcode/cache/frame_32.png';
$files_update[] = 'lib/qrcode/cache/frame_33.dat';
$files_update[] = 'lib/qrcode/cache/frame_33.png';
$files_update[] = 'lib/qrcode/cache/frame_34.dat';
$files_update[] = 'lib/qrcode/cache/frame_34.png';
$files_update[] = 'lib/qrcode/cache/frame_35.dat';
$files_update[] = 'lib/qrcode/cache/frame_35.png';
$files_update[] = 'lib/qrcode/cache/frame_36.dat';
$files_update[] = 'lib/qrcode/cache/frame_36.png';
$files_update[] = 'lib/qrcode/cache/frame_37.dat';
$files_update[] = 'lib/qrcode/cache/frame_37.png';
$files_update[] = 'lib/qrcode/cache/frame_38.dat';
$files_update[] = 'lib/qrcode/cache/frame_38.png';
$files_update[] = 'lib/qrcode/cache/frame_39.dat';
$files_update[] = 'lib/qrcode/cache/frame_39.png';
$files_update[] = 'lib/qrcode/cache/frame_40.dat';
$files_update[] = 'lib/qrcode/cache/frame_40.png';
$files_update[] = 'lib/qrcode/cache/frame_1.dat';
$files_update[] = 'lib/qrcode/cache/frame_1.png';
$files_update[] = 'lib/qrcode/cache/frame_2.dat';
$files_update[] = 'lib/qrcode/cache/frame_2.png';
$files_update[] = 'lib/qrcode/cache/frame_3.dat';
$files_update[] = 'lib/qrcode/cache/frame_3.png';
$files_update[] = 'lib/qrcode/cache/frame_4.dat';
$files_update[] = 'lib/qrcode/cache/frame_4.png';
$files_update[] = 'lib/qrcode/cache/frame_5.dat';
$files_update[] = 'lib/qrcode/cache/frame_5.png';
$files_update[] = 'lib/qrcode/cache/frame_6.dat';
$files_update[] = 'lib/qrcode/cache/frame_6.png';
$files_update[] = 'lib/qrcode/cache/frame_7.dat';
$files_update[] = 'lib/qrcode/cache/frame_7.png';
$files_update[] = 'lib/qrcode/cache/frame_8.dat';
$files_update[] = 'lib/qrcode/cache/frame_8.png';
$files_update[] = 'lib/qrcode/cache/frame_9.dat';
$files_update[] = 'lib/qrcode/cache/frame_9.png';
$files_update[] = 'lib/qrcode/cache/frame_10.dat';
$files_update[] = 'lib/qrcode/cache/frame_10.png';
$files_update[] = 'lib/qrcode/cache/frame_11.dat';
$files_update[] = 'lib/qrcode/cache/frame_11.png';
$files_update[] = 'lib/qrcode/cache/frame_12.dat';
$files_update[] = 'lib/qrcode/cache/frame_12.png';
$files_update[] = 'lib/qrcode/cache/frame_13.dat';
$files_update[] = 'lib/qrcode/cache/frame_13.png';
$files_update[] = 'lib/qrcode/cache/frame_14.dat';
$files_update[] = 'lib/qrcode/cache/frame_14.png';
$files_update[] = 'lib/qrcode/cache/frame_15.dat';
$files_update[] = 'lib/qrcode/cache/frame_15.png';
$files_update[] = 'lib/qrcode/cache/frame_16.dat';
$files_update[] = 'lib/qrcode/cache/frame_16.png';
$files_update[] = 'lib/qrcode/cache/frame_17.dat';
$files_update[] = 'lib/qrcode/cache/frame_17.png';
$files_update[] = 'lib/qrcode/cache/frame_18.dat';
$files_update[] = 'lib/qrcode/cache/frame_18.png';
$files_update[] = 'lib/qrcode/cache/frame_19.dat';
$files_update[] = 'lib/qrcode/cache/frame_19.png';
$files_update[] = 'lib/qrcode/cache/frame_20.dat';
$files_update[] = 'lib/qrcode/cache/frame_20.png';
$files_update[] = 'lib/qrcode/cache/frame_21.dat';
$files_update[] = 'lib/qrcode/cache/frame_21.png';
$files_update[] = 'lib/qrcode/cache/frame_22.dat';
$files_update[] = 'lib/qrcode/cache/frame_22.png';
$files_update[] = 'lib/qrcode/cache/frame_23.dat';
$files_update[] = 'lib/qrcode/cache/frame_23.png';
$files_update[] = 'lib/qrcode/cache/frame_24.dat';
$files_update[] = 'lib/qrcode/cache/frame_24.png';
$files_update[] = 'lib/qrcode/cache/frame_25.dat';
$files_update[] = 'lib/qrcode/cache/frame_25.png';
$files_update[] = 'lib/qrcode/cache/frame_26.dat';
$files_update[] = 'lib/qrcode/cache/frame_26.png';
$files_update[] = 'lib/qrcode/cache/frame_27.dat';
$files_update[] = 'lib/qrcode/cache/frame_27.png';
$files_update[] = 'lib/qrcode/cache/frame_28.dat';
$files_update[] = 'lib/qrcode/cache/frame_28.png';
$files_update[] = 'lib/qrcode/cache/frame_29.dat';
$files_update[] = 'lib/qrcode/cache/frame_29.png';
$files_update[] = 'lib/qrcode/cache/frame_30.dat';
$files_update[] = 'lib/qrcode/cache/frame_30.png';
$files_update[] = 'lib/qrcode/cache/frame_31.dat';
$files_update[] = 'lib/qrcode/cache/frame_31.png';

$files_update[] = 'lib/qrcode/cache/mask_0/index.html';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_105_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_109_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_113_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_117_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_121_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_125_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_129_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_133_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_137_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_141_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_145_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_149_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_153_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_157_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_161_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_165_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_169_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_173_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_177_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_21_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_25_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_29_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_33_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_37_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_41_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_45_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_49_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_53_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_57_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_61_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_65_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_69_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_73_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_77_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_81_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_85_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_89_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_93_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_97_0.dat';
$files_update[] = 'lib/qrcode/cache/mask_0/mask_101_0.dat';

$files_update[] = 'lib/qrcode/cache/mask_1/index.html';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_125_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_129_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_133_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_137_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_141_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_145_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_149_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_153_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_157_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_161_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_165_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_169_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_173_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_177_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_21_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_25_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_29_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_33_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_37_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_41_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_45_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_49_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_53_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_57_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_61_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_65_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_69_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_73_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_77_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_81_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_85_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_89_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_93_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_97_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_101_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_105_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_109_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_113_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_117_1.dat';
$files_update[] = 'lib/qrcode/cache/mask_1/mask_121_1.dat';

$files_update[] = 'lib/qrcode/cache/mask_2/index.html';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_149_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_153_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_157_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_161_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_165_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_169_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_173_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_177_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_21_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_25_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_29_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_33_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_37_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_41_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_45_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_49_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_53_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_57_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_61_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_65_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_69_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_73_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_77_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_81_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_85_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_89_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_93_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_97_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_101_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_105_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_109_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_113_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_117_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_121_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_125_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_129_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_133_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_137_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_141_2.dat';
$files_update[] = 'lib/qrcode/cache/mask_2/mask_145_2.dat';

$files_update[] = 'lib/qrcode/cache/mask_3/index.html';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_125_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_129_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_133_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_137_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_141_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_145_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_149_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_153_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_157_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_161_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_165_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_169_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_173_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_177_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_21_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_25_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_29_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_33_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_37_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_41_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_45_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_49_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_53_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_57_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_61_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_65_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_69_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_73_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_77_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_81_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_85_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_89_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_93_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_97_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_101_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_105_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_109_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_113_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_117_3.dat';
$files_update[] = 'lib/qrcode/cache/mask_3/mask_121_3.dat';

$files_update[] = 'lib/qrcode/cache/mask_4/index.html';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_177_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_21_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_25_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_29_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_33_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_37_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_41_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_45_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_49_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_53_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_57_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_61_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_65_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_69_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_73_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_77_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_81_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_85_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_89_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_93_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_97_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_101_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_105_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_109_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_113_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_117_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_121_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_125_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_129_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_133_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_137_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_141_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_145_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_149_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_153_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_157_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_161_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_165_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_169_4.dat';
$files_update[] = 'lib/qrcode/cache/mask_4/mask_173_4.dat';

$files_update[] = 'lib/qrcode/cache/mask_5/index.html';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_145_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_149_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_153_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_157_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_161_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_165_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_169_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_173_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_177_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_21_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_25_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_29_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_33_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_37_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_41_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_45_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_49_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_53_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_57_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_61_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_65_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_69_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_73_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_77_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_81_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_85_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_89_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_93_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_97_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_101_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_105_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_109_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_113_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_117_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_121_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_125_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_129_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_133_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_137_5.dat';
$files_update[] = 'lib/qrcode/cache/mask_5/mask_141_5.dat';

$files_update[] = 'lib/qrcode/cache/mask_6/index.html';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_149_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_153_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_157_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_161_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_165_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_169_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_173_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_177_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_21_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_25_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_29_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_33_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_37_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_41_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_45_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_49_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_53_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_57_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_61_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_65_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_69_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_73_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_77_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_81_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_85_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_89_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_93_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_97_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_101_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_105_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_109_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_113_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_117_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_121_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_125_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_129_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_133_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_137_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_141_6.dat';
$files_update[] = 'lib/qrcode/cache/mask_6/mask_145_6.dat';

$files_update[] = 'lib/qrcode/cache/mask_7/index.html';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_149_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_153_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_157_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_161_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_165_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_169_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_173_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_177_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_21_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_25_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_29_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_33_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_37_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_41_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_45_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_49_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_53_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_57_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_61_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_65_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_69_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_73_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_77_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_81_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_85_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_89_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_93_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_97_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_101_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_105_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_109_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_113_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_117_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_121_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_125_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_129_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_133_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_137_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_141_7.dat';
$files_update[] = 'lib/qrcode/cache/mask_7/mask_145_7.dat';

JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/tools');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_0');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_1');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_2');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_3');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_4');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_5');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_6');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/cache/mask_7');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/bindings');
JFolder::create(JPATH_SITE.'/components/com_jr_tfb/lib/qrcode/bindings/tcpdf');

// Update answers plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_ajax.php';
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php')) $files_update[] = 'plugins/tfb_plugin_answers/test_user_ajax.php';
// Update filter admin plugin
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_filter_admin/filter_manager.php')) $files_update[] = 'plugins/tfb_plugin_filter_admin/filter_manager.php';
if (file_exists(JPATH_SITE.'/components/com_jr_tfb/plugins/tfb_plugin_filter_admin/filter_manager_ajax.php')) $files_update[] = 'plugins/tfb_plugin_filter_admin/filter_manager_ajax.php';

foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_31/site/'.$file_update, JPATH_SITE.'/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.31 -----

if ($nothing_to_do == 0) echo '
<div id="command">1</div>
<div id="answers">'.JText::_( 'JR_TFB_NO_SITE_UPDATES' ).'</div>';
else if ($nothing_to_do == 1 AND $error_update == 1) echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_ERROR_SITE_UPDATES' ).'</div>';
else echo '
<div id="command">1</div>
<div id="answers">'.JText::_( 'JR_TFB_SITE_UPDATES_OK' ).'</div>';
	}
}
else echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_ERROR' ).'</div>';
?>