<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfbre
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
// Connect DB
$db = JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params = JComponentHelper::getParams('com_jr_tfb');
$test_list_name = $params->get( 'test_list_name' );
$test_list_date = $params->get( 'test_list_date' );
$test_list_points = $params->get( 'test_list_points' );
$test_list_scale = $params->get( 'test_list_scale' );
$test_list_result = $params->get( 'test_list_result' );
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
// Get data
$test_admin = $_POST['test_manager'];
$test_pagination = $_POST['test_pagination'];
$filter_test = $_POST['filter_test'];
$filter_result = $_POST['filter_result'];
$filter_sort = $_POST['filter_sort'];
$filter_limit = $_POST['filter_limit'];
$test_images = $_POST['test_images'];
$filter_user = $_POST['filter_user'];
$filter_user_email = $_POST['filter_user_email'];
if ($filter_user > 0) $filter_user_id = $filter_user;
else $filter_user_id = '';
// Get email filter
if ($filter_user_email != '') {
$db->setQuery( 'SELECT id FROM `#__users` WHERE email = "'.$filter_user_email.'"' );
$filter_email_list = $db->loadObjectlist();
foreach ($filter_email_list as $filter_email_item) {
if ($filter_user_id != '') $filter_user_id .= ',';
$filter_user_id .= $filter_email_item->id;
	}
if ($filter_user_id == '') $filter_user_id = '0';
}

// Get plugin parameters
$filter_user_field_id = '';
$db->setQuery( "SELECT `plugins_options_selected` FROM `#__jr_tfb_plugins` WHERE plugins_file = 'tfb_plugin_filter_admin'" );
$test_admin_filters = $db->loadResult();
$test_admin_filter = explode ('|', $test_admin_filters);
$filter_user_search = '';
if ($test_admin_filter[6] == 1 OR ($test_admin_filter[6] == 2 AND $filter_test > 0)) {
// Get user fields
$db->setQuery( "SELECT `id`, `form_search` FROM `#__jr_tfb_form` WHERE form_search > 0" );
$form_user_id = $db->loadObjectList();
foreach ($form_user_id as $form_user_id_item) {
$filter_user_request = $_POST['filter_user_'.$form_user_id_item->id];
if ($filter_user_request != '') {
if ($form_user_id_item->form_search == 2) {
$filter_user_condition_delimiter = '%';
$filter_user_condition = 'LIKE';}
else {
$filter_user_condition_delimiter = '';
$filter_user_condition = '=';
}
if ($filter_user_search != '') $filter_user_search .= ' AND ';
$filter_user_search .= 'user_'.$form_user_id_item->id.' '.$filter_user_condition.' "'.$filter_user_condition_delimiter.$filter_user_request.$filter_user_condition_delimiter.'"';
	}
}
// Get users id
if ($filter_user_search != '') {
$db->setQuery( 'SELECT DISTINCT `user_user` FROM `#__jr_tfb_user` WHERE '.$filter_user_search );
$filter_user_search_id = $db->loadObjectlist();
foreach ($filter_user_search_id as $filter_user_search_id_item) {
if ($filter_user_field_id != '') $filter_user_field_id .= ',';
$filter_user_field_id .= $filter_user_search_id_item->user_user;
		}
if ($filter_user_field_id == '') $filter_user_field_id = '0';
	}
}

$filter_sort_list = '';
$filter_conditions = '';
if ($filter_test > 0) $filter_conditions .= ' AND result_test = '.$filter_test;
if ($filter_result == 1) $filter_conditions .= ' AND result_passed = 1';
else if ($filter_result == 2) $filter_conditions .= ' AND result_passed = 0';
else if ($filter_result == 3) $filter_conditions .= ' AND result_result = 2';
else if ($filter_result == 4) $filter_conditions .= ' AND result_result = 1';
if ($filter_sort == 1) $filter_sort_list = ' ORDER BY result_points ASC';
else if ($filter_sort == 2) $filter_sort_list = ' ORDER BY result_points DESC';
else if ($filter_sort == 3) $filter_sort_list = ' ORDER BY result_start ASC';
else if ($filter_sort == 4) $filter_sort_list = ' ORDER BY result_start DESC';
$test_page_start = ($test_pagination - 1) * $filter_limit;
if ($filter_user_id != '') $filter_conditions .= ' AND result_user IN ('.$filter_user_id.')';
if ($filter_user_field_id != '') $filter_conditions .= ' AND result_user IN ('.$filter_user_field_id.')';
// Remove test
if (isset($_POST['filter_remove'])) {
$delete_entry = "DELETE FROM `#__jr_tfb_result` WHERE id = ".$_POST['filter_remove'];
$db->setQuery($delete_entry);
$db->query();
}
// GET manager tests
$db->setQuery( 'SELECT id FROM `#__jr_tfb_test` WHERE test_admin = '.$test_admin );
$test_manager = $db->loadObjectList();
// GET user tests
$test_manager_list = '';
foreach ($test_manager as $test_manager_item) {
if ($test_manager_list != '') $test_manager_list .= ', ';
$test_manager_list .= $test_manager_item->id;
}
$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE result_result > 0 AND result_test IN($test_manager_list)".$filter_conditions.$filter_sort_list." LIMIT $test_page_start,$filter_limit" );
$test_user = $db->loadObjectList();
echo '
<div id="filter_list">';

if (count($test_user) == 0) echo '<div class="filter_line_item_title filter_line_failed">'.JText::_( 'JR_TFB_TEST_NO_RESULTS' ).'</div>';

// Get tests
$db->setQuery( "SELECT * FROM `#__jr_tfb_test`" );
$test_list = $db->loadObjectList();
$test_list_array = array();
foreach ($test_list as $test_list_item) {
$test_list_array[$test_list_item->id] = $test_list_item->test_title;
$test_list_form[$test_list_item->id] = $test_list_item->test_admin_fields;
}
foreach ($test_user as $test_user_item) {
if ($test_user_item->result_passed == 1 AND $test_user_item->result_result == 2) {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_PASSED' );
$filter_line = "filter_line_passed";
}
else if ($test_user_item->result_passed == 0 AND $test_user_item->result_result == 2) {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_FAILED' );
$filter_line = "filter_line_failed";
}
else {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_NOT_COMPLETED' );
$filter_line = "filter_line";
}
if ($test_list_form[$test_user_item->result_test] == 0) $user_field = '<img class="radius5" src="components/com_jr_tfb/images/user.png" alt="'.$test_user_item->result_user.'" />';
else {
// Get selected user
$db->setQuery( 'SELECT user_'.$test_list_form[$test_user_item->result_test].' FROM `#__jr_tfb_user` WHERE user_user = '.$test_user_item->result_user);
$user_field = $db->loadResult();
}
echo '
<div class="filter_list_item">
<div class="filter_list_line filter_line_select '.$filter_line.'" id="'.$test_user_item->id.'">';
if ($test_list_name == 0) echo '
<div class="filter_list_test filter_line_item hasTooltip" title="'.$test_list_array[$test_user_item->result_test].'"><img class="radius5" src="components/com_jr_tfb/images/test.png" alt="'.$test_list_array[$test_user_item->result_test].'" /></div>';
else echo '
<div class="filter_list_test filter_line_item">'.$test_list_array[$test_user_item->result_test].'</div>';
echo '
<div class="filter_list_user filter_line_item hasTooltip" title="'.$test_user_item->result_user.'">'.$user_field.'</div>';
if ($test_list_date == 1) echo '
<div class="filter_list_test_date filter_line_item">'.JHTML::_('date', $test_user_item->result_start, 'd.m.Y').'</div>';
if ($test_list_points == 1) echo '
<div class="filter_list_points filter_line_item">'.$test_user_item->result_points.'</div>';
if ($test_list_scale == 1) echo '
<div class="filter_list_scale filter_line_item">'.$test_user_item->result_scale.'</div>';
if ($test_list_result == 1) echo '
<div class="filter_list_result filter_line_item">'.$test_result_passed.'</div>';
echo '
</div>
<div class="filter_list_hidden">
</div>
</div>';
}
echo '
</div>';
// Get pagination
$db->setQuery( "SELECT COUNT(*) FROM `#__jr_tfb_result` WHERE result_result > 0 AND result_test IN($test_manager_list)".$filter_conditions.$filter_sort_list );
$test_counter = $db->loadResult();
$test_page_counter = ceil($test_counter / $filter_limit);
echo '
<div id="filter_pagination" class="tfb_pagination">';
for ($page_list=1;$page_list<=$test_page_counter;$page_list++) {
if ($page_list == $test_pagination) $page_button_class = ' tfb_page_active';
else $page_button_class = ' tfb_page';
echo '
<span class="radius5'.$page_button_class.'" rel="'.$page_list.'">'.$page_list.'</span>';}
echo '
</div>';
}
?>