<?php
/**
 * @package    Test Form Builder 3
 * @subpackage com_jr_tfb
 * @version		1.1
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org - at - yandex.ru
 * @website		http://jrextensions.ru
 *
 */
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../../../' ));
define('_JEXEC', 1);
define('JPATH_BASE', dirname(__FILE__));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$db = JFactory::getDBO();
//jimport( 'joomla.environment.request' );
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
// Get component params
$params =& JComponentHelper::getParams('com_jr_tfb');
$verification_code = $params->get(test_access);
header("Content-type: text/html; charset=utf-8");
// Get post
$verification = $_POST['verification'];
if ($verification == $verification_code) {
// Check component version
$query = 'SELECT * FROM #__jr_tfb_version WHERE id = 1';
$db->setQuery($query);
$version = $db->loadObject();
$version_id = $version->version_relize;
if (!$version) echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_DB_ERROR' ).'</div>';
else {
$nothing_to_do = 0;
$error_update = 0;
$update_next = 0;
$file_update = '';

// ----- START UDATE TO VERSION 1.1 -----
if ($version_id === '1.0' AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/group_new.php';
$files_update[] = 'ajax/group_save.php';
$files_update[] = 'images/loader.gif';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_1/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}

}

// ----- END UDATE TO VERSION 1.1 -----

// ----- START UDATE TO VERSION 1.2 -----
if (($version_id === '1.1' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'views/jrtfbversionlist/tmpl/default.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_2/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_2/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_2/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.2 -----

// ----- START UDATE TO VERSION 1.6 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'js/jquery_upload/script.php';
$files_update[] = 'views/jrtfbcategorylist/tmpl/default.php';
$files_update[] = 'views/jrtfbformlist/tmpl/default.php';
$files_update[] = 'views/jrtfbtestlist/tmpl/default.php';
$files_update[] = 'views/jrtfbcategory/tmpl/edit.php';
$files_update[] = 'views/jrtfbform/tmpl/edit.php';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'views/jrtfbversion/tmpl/edit.php';
$files_update[] = 'models/forms/jrtfbtest.xml';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_6/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.6 -----

// ----- START UDATE TO VERSION 1.7 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'models/rules/jrtfbtesttestresultshow.php';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_7/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_7/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_7/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.7 -----

// ----- START UDATE TO VERSION 1.8 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/question_answer_add.php';
$files_update[] = 'ajax/question_answer_edit.php';
$files_update[] = 'ajax/question_answers.php';
$files_update[] = 'ajax/group_question.php';
$files_update[] = 'ajax/group_questions.php';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_8/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_8/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_8/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.8 -----

// ----- START UDATE TO VERSION 1.9 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'config.xml';
$files_update[] = 'views/jrtfbform/tmpl/edit.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_9/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_9/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_9/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.9 -----

// ----- START UDATE TO VERSION 1.10 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'models/rules/jrtfbtesttestgroup.php';
$files_update[] = 'models/jrtfbtest.php';
$files_update[] = 'tables/jrtfbtest.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_10/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_10/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_10/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.10 -----




// ----- START UDATE TO VERSION 1.11 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'models/rules/jrtfbtesttestgrouppositive.php';
$files_update[] = 'models/rules/jrtfbtesttestgroupnegative.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_11/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_11/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_11/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.11 -----


// ----- START UDATE TO VERSION 1.12 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'models/rules/jrtfbtesttestadminfields.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_12/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_12/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_12/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.12 -----

// ----- START UDATE TO VERSION 1.14 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'ajax/group_edit.php';
$files_update[] = 'ajax/group_form.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_14/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
}
// ----- END UDATE TO VERSION 1.14 -----

// ----- START UDATE TO VERSION 1.16 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;

// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_16/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_16/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.16 -----

// ----- START UDATE TO VERSION 1.17 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;

// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_17/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_17/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.17 -----

// ----- START UDATE TO VERSION 1.19 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/group_question.php';
$files_update[] = 'ajax/group_questions.php';
$files_update[] = 'ajax/question_image.php';
$files_update[] = 'ajax/image_upload_question.php';
$files_update[] = 'ajax/question_remove.php';
$files_update[] = 'ajax/group_remove.php';
$files_update[] = 'css/styles.css';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_19/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_19/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_19/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.19 -----

// ----- START UDATE TO VERSION 1.20 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/question_answers.php';
$files_update[] = 'models/forms/jrtfbtest.xml';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_20/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_20/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_20/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.20 -----

// ----- START UDATE TO VERSION 1.21 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/addons_control.php';
$files_update[] = 'images/admin.png';
$files_update[] = 'images/disabled.png';
$files_update[] = 'images/settings.png';
$files_update[] = 'images/settings_hidden.png';
$files_update[] = 'images/site.png';
$files_update[] = 'images/tick.png';
$files_update[] = 'js/jquery_file_upload/index.html';
$files_update[] = 'js/jquery_file_upload/ajaxupload.3.5.js';
$files_update[] = 'js/jquery_file_upload/script.php';
$files_update[] = 'js/jquery_file_upload/upload-file.php';
$files_update[] = 'js/jquery_file_upload/css/index.html';
$files_update[] = 'js/jquery_file_upload/css/colorbox.css';
$files_update[] = 'js/jquery_file_upload/css/styles.css';
$files_update[] = 'js/jquery_file_upload/images/index.html';
$files_update[] = 'js/jquery_file_upload/images/border.png';
$files_update[] = 'js/jquery_file_upload/images/controls.png';
$files_update[] = 'js/jquery_file_upload/images/loader.gif';
$files_update[] = 'js/jquery_file_upload/images/loading.gif';
$files_update[] = 'js/jquery_file_upload/images/loading_background.png';
$files_update[] = 'js/jquery_file_upload/images/overlay.png';
$files_update[] = 'js/jquery_file_upload/images/trash.png';
$files_update[] = 'plugins/index.html';
$files_update[] = 'upload/tfb_plugins.php';
$files_update[] = 'upload/tfb_plugins_clear.php';
$files_update[] = 'views/jrtfbversion/tmpl/edit.php';
$files_update[] = 'views/jrtfbversionlist/tmpl/default.php';
JFolder::create(JPATH_SITE.'/administrator/components/com_jr_tfb/js/jquery_file_upload');
JFolder::create(JPATH_SITE.'/administrator/components/com_jr_tfb/js/jquery_file_upload/css');
JFolder::create(JPATH_SITE.'/administrator/components/com_jr_tfb/js/jquery_file_upload/images');
JFolder::create(JPATH_SITE.'/administrator/components/com_jr_tfb/plugins');
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_21/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_21/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_21/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.21 -----

// ----- START UDATE TO VERSION 1.22 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'ajax/addons_control.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_22/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_22/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_22/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
	}
}
// ----- END UDATE TO VERSION 1.22 -----

// ----- START UDATE TO VERSION 1.23 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'css/styles.css';
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'config.xml';
$files_update[] = 'models/rules/jrtfbtesttestprintpdfclient.php';
$files_update[] = 'models/rules/jrtfbtesttestprintpdfadmin.php';
$files_update[] = 'models/rules/jrtfbtesttestresultshowdate.php';
$files_update[] = 'models/rules/jrtfbtesttestresultshowpoints.php';
$files_update[] = 'models/rules/jrtfbtesttestresultshowresult.php';
$files_update[] = 'models/rules/jrtfbtesttestresultshowscale.php';
$files_update[] = 'models/rules/jrtfbtesttestresultshowtime.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_23/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_23/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_23/languages/ru-RU.com_jr_tfb.sys.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.sys.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.sys.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_23/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
}
// ----- END UDATE TO VERSION 1.23 -----

// ----- START UDATE TO VERSION 1.24 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'jr_tfb.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_24/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_24/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_24/languages/ru-RU.com_jr_tfb.sys.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.sys.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.sys.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_24/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
}
// ----- END UDATE TO VERSION 1.24 -----

// ----- START UDATE TO VERSION 1.25 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $version_id === '1.24' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'ajax/addons_control.php';
$files_update[] = 'ajax/answer_list_down.php';
$files_update[] = 'ajax/answer_list_up.php';
$files_update[] = 'ajax/answer_remove.php';
$files_update[] = 'ajax/group_add.php';
$files_update[] = 'ajax/group_edit.php';
$files_update[] = 'ajax/group_form.php';
$files_update[] = 'ajax/group_list_down.php';
$files_update[] = 'ajax/group_list_up.php';
$files_update[] = 'ajax/group_new.php';
$files_update[] = 'ajax/group_question.php';
$files_update[] = 'ajax/group_questions.php';
$files_update[] = 'ajax/group_remove.php';
$files_update[] = 'ajax/group_save.php';
$files_update[] = 'ajax/image_upload_question.php';
$files_update[] = 'ajax/question_answer_add.php';
$files_update[] = 'ajax/question_answer_edit.php';
$files_update[] = 'ajax/question_answers.php';
$files_update[] = 'ajax/question_image.php';
$files_update[] = 'ajax/question_list_down.php';
$files_update[] = 'ajax/question_list_up.php';
$files_update[] = 'ajax/question_remove.php';
$files_update[] = 'ajax/test_access.php';
$files_update[] = 'ajax/test_remove.php';
if (file_exists(JPATH_SITE.'/administrator/components/com_jr_tfb/plugins/tfb_plugin_backup/plugin_functions.php')) $files_update[] = 'plugins/tfb_plugin_backup/plugin_functions.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_25/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
}
// ----- END UDATE TO VERSION 1.25 -----

// ----- START UDATE TO VERSION 1.26 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $version_id === '1.24' OR $version_id === '1.25' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
// Move files
$files_update = array();
$files_update[] = 'upload/tfb_plugins.php';
$files_update[] = 'upload/tfb_plugins_clear.php';
$files_update[] = 'upload/tfb_update.php';
$files_update[] = 'upload/tfb_update_clear.php';
$files_update[] = 'js/jquery_file_upload/upload-file.php';
$files_update[] = 'js/jquery_upload/upload-file.php';
$files_update[] = 'ajax/addons_control.php';
$files_update[] = 'ajax/answer_list_down.php';
$files_update[] = 'ajax/answer_list_up.php';
$files_update[] = 'ajax/answer_remove.php';
$files_update[] = 'ajax/group_add.php';
$files_update[] = 'ajax/group_edit.php';
$files_update[] = 'ajax/group_form.php';
$files_update[] = 'ajax/group_list_down.php';
$files_update[] = 'ajax/group_list_up.php';
$files_update[] = 'ajax/group_new.php';
$files_update[] = 'ajax/group_question.php';
$files_update[] = 'ajax/group_questions.php';
$files_update[] = 'ajax/group_remove.php';
$files_update[] = 'ajax/group_save.php';
$files_update[] = 'ajax/image_upload_question.php';
$files_update[] = 'ajax/question_answer_add.php';
$files_update[] = 'ajax/question_answer_edit.php';
$files_update[] = 'ajax/question_answers.php';
$files_update[] = 'ajax/question_image.php';
$files_update[] = 'ajax/question_list_down.php';
$files_update[] = 'ajax/question_list_up.php';
$files_update[] = 'ajax/question_remove.php';
$files_update[] = 'ajax/test_access.php';
$files_update[] = 'ajax/test_remove.php';
$files_update[] = 'models/forms/jrtfbform.xml';
$files_update[] = 'models/rules/jrtfbformformsearch.php';
$files_update[] = 'views/jrtfbform/tmpl/edit.php';
// Update backup plugin
if (file_exists(JPATH_SITE.'/administrator/components/com_jr_tfb/plugins/tfb_plugin_backup/plugin_functions.php')) $files_update[] = 'plugins/tfb_plugin_backup/plugin_functions.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_26/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_26/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_26/languages/ru-RU.com_jr_tfb.sys.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.sys.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.sys.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_26/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
}
// ----- END UDATE TO VERSION 1.26 -----

// ----- START UDATE TO VERSION 1.27 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $version_id === '1.24' OR $version_id === '1.25' OR $version_id === '1.26' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
$files_update = array();
// Update backup plugin
if (file_exists(JPATH_SITE.'/administrator/components/com_jr_tfb/plugins/tfb_plugin_backup/plugin_functions.php')) $files_update[] = 'plugins/tfb_plugin_backup/plugin_functions.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_27/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_27/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_27/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
}
// ----- END UDATE TO VERSION 1.27 -----

// ----- START UDATE TO VERSION 1.28 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $version_id === '1.24' OR $version_id === '1.25' OR $version_id === '1.26' OR $version_id === '1.27' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
$files_update = array();
$files_update[] = 'config.xml';
$files_update[] = 'models/forms/jrtfbform.xml';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_28/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_28/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_28/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
}
// ----- END UDATE TO VERSION 1.28 -----

// ----- START UDATE TO VERSION 1.29 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $version_id === '1.24' OR $version_id === '1.25' OR $version_id === '1.26' OR $version_id === '1.27' OR $version_id === '1.28' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
$files_update = array();
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
$files_update[] = 'views/jrtfbcategory/tmpl/edit.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_29/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}

}
// ----- END UDATE TO VERSION 1.29 -----

// ----- START UDATE TO VERSION 1.31 -----
if (($version_id === '1.0' OR $version_id === '1.1' OR $version_id === '1.2' OR $version_id === '1.3' OR $version_id === '1.4' OR $version_id === '1.5' OR $version_id === '1.6' OR $version_id === '1.7' OR $version_id === '1.8' OR $version_id === '1.9' OR $version_id === '1.10' OR $version_id === '1.11' OR $version_id === '1.12' OR $version_id === '1.13' OR $version_id === '1.14' OR $version_id === '1.15' OR $version_id === '1.16' OR $version_id === '1.17' OR $version_id === '1.18' OR $version_id === '1.19' OR $version_id === '1.20' OR $version_id === '1.21' OR $version_id === '1.22' OR $version_id === '1.23' OR $version_id === '1.24' OR $version_id === '1.25' OR $version_id === '1.26' OR $version_id === '1.27'  OR $version_id === '1.28' OR $version_id === '1.29' OR $version_id === '1.30' OR $update_next == 1) AND $error_update == 0) {
$update_next = 1;
$nothing_to_do = 1;
$files_update = array();
$files_update[] = 'ajax/certificate_blank.php';
$files_update[] = 'models/forms/jrtfbform.xml';
$files_update[] = 'models/forms/jrtfbtest.xml';
$files_update[] = 'models/rules/jrtfbformformaccess.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificateaccess.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificateblank.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificatecondition.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificatetemplate.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificateterm.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificatevalid.php';
$files_update[] = 'models/rules/jrtfbtesttestcertificateverification.php';
$files_update[] = 'models/rules/jrtfbtesttestcost.php';
$files_update[] = 'views/jrtfbform/tmpl/edit.php';
$files_update[] = 'views/jrtfbtest/tmpl/edit.php';
foreach ($files_update as $file_update) {
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_31/admin/'.$file_update, JPATH_SITE.'/administrator/components/com_jr_tfb/'.$file_update)) {
$error_update = 1;
$file_update .= '
- '.$file_update;
	}
}
// Update language files
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_31/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/administrator/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- administrator/language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
if (!JFile::copy(JPATH_SITE.'/administrator/components/com_jr_tfb/upload/com_jr_tfb_update/1_31/languages/ru-RU.com_jr_tfb.ini', JPATH_SITE.'/language/ru-RU/ru-RU.com_jr_tfb.ini')) {
$error_update = 1;
$file_update = '
- language/ru-RU/ru-RU.com_jr_tfb.ini';
	}
}
// ----- END UDATE TO VERSION 1.31 -----



if ($nothing_to_do == 0) echo '
<div id="command">1</div>
<div id="answers">'.JText::_( 'JR_TFB_NO_ADMIN_UPDATES' ).'</div>';
else if ($error_update == 1) echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_ERROR_ADMIN_UPDATES' ).'
'.$file_update.'</div>';
else echo '
<div id="command">1</div>
<div id="answers">'.JText::_( 'JR_TFB_ADMIN_UPDATES_OK' ).'</div>';

	}
}
else echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_ERROR' ).'</div>';
?>