<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		3.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org - at - yandex.ru
 * @website		http://jrextensions.ru
 *
 */
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../../../' ));
define('_JEXEC', 1);
define('JPATH_BASE', dirname(__FILE__));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
$db = JFactory::getDBO();
//jimport( 'joomla.environment.request' );
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
// Get component params
$params =& JComponentHelper::getParams('com_jr_tfb');
$verification_code = $params->get(test_access);
header("Content-type: text/html; charset=utf-8");
// Get post
$verification = $_POST['verification'];
if ($verification == $verification_code) {
// Check component version
$query = 'SELECT * FROM #__jr_tfb_version WHERE id = 1';
$db->setQuery($query);
$version = $db->loadObject();
$version_id = $version->version_relize;
if (!$version) echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_DB_ERROR' ).'</div>';
else {
$nothing_to_do = 0;
$error_update = 0;
$version_date = 0;
$version_update = 0;
$version_info = '';
$update_next = 0;
$version_info = '';

// ----- START UDATE TO VERSION 1.01 -----
if ($version_id === '1.0' AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$query = 'SELECT * FROM #__jr_tfb_group WHERE 0';
$db->setQuery($query);
$check_db = $db->loadObject()->question_ref;
if ($check_db != '') {
$alter = "ALTER TABLE `#__jr_tfb_group` CHANGE `question_ref` `group_ref` INT(11) NOT NULL DEFAULT '0'";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
}
$version_date = '2015-06-05';
$version_update = '1.1';
$version_info .= '- исправлена ошибка в форме создания группы вопросов;
- исправлена ошибка сохранения данных группы вопросов;
- добавлена функция прямого доступа к тесту через пункт меню;
- произведена оптимизация файловой системы компонента;
';
}
// ----- END UDATE TO VERSION 1.01 -----

// ----- START UDATE TO VERSION 1.02 -----
if (($version_id === '1.1' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-06-15';
$version_update = '1.2';
$version_info .= '- подключена функция e-mail уведомления менедежера о прохождении теста;
- подключена функция e-mail уведомления клиента о прохождении теста;
';
}
// ----- END UDATE TO VERSION 1.02 -----

// ----- START UDATE TO VERSION 1.3 -----
if (($version_id === '1.2' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_question` CHANGE `question_advice` `question_advice` TEXT NOT NULL";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2015-06-17';
$version_update = '1.3';
$version_info .= '- исправлена функция доступа к списку тестов;
- исправлена ошибка сохранения рекомендаций к вопросу;
';
}
// ----- END UDATE TO VERSION 1.3 -----

// ----- START UDATE TO VERSION 1.4 -----
if (($version_id === '1.3' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-06-26';
$version_update = '1.4';
$version_info .= '- добавлена поддержка ЧПУ;
';
}
// ----- END UDATE TO VERSION 1.4 -----

// ----- START UDATE TO VERSION 1.5 -----
if (($version_id === '1.4' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-07-28';
$version_update = '1.5';
$version_info .= '- добавлена функция удаления результата теста для менеджера;
- добавлен фильтр по ID пользователя при просмотре результатов менеджером;
';
}
// ----- END UDATE TO VERSION 1.5 -----

// ----- START UDATE TO VERSION 1.6 -----
if (($version_id === '1.5' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-08-04';
$version_update = '1.6';
$version_info .= '- исправлены ошибки подключения системных переменных в компоненте;
- исправлены ошибки при запуске таймера тестирования;
- исправлена ошибка запуска теста без использования формы пользовательских данных;
- снято ограничение на количество символов в текстах e-mail сообщений;
- подключена обработка тегов в отправляемых e-mail сообщениях;
- исправлена ошибка датапикера в панели адмистратора;
';
}
// ----- END UDATE TO VERSION 1.6 -----

// ----- START UDATE TO VERSION 1.7 -----
if (($version_id === '1.6' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_result_show` INT(1) DEFAULT 0 AFTER `test_back`";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2015-08-25';
$version_update = '1.7';
$version_info .= '- добавлена возможность показа результата после прохождения теста;
- исправлена ошибка подсчёта баллов и показа рекомендаций по условиям выбора неправильных ответов на вопросы;
- исправлена ошибка запуска таймера при показе описания теста перед началом тестирования;
';
}
// ----- END UDATE TO VERSION 1.7 -----

// ----- START UDATE TO VERSION 1.8 -----
if (($version_id === '1.7' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_answer` ADD COLUMN `answer_point` INT(11) DEFAULT 0 AFTER `answer_correct`";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2015-09-11';
$version_update = '1.8';
$version_info .= '- добавлена градация баллов за ответ;
';
}
// ----- END UDATE TO VERSION 1.8 -----

// ----- START UDATE TO VERSION 1.9 -----
if (($version_id === '1.8' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-09-26';
$version_update = '1.9';
$version_info .= '- добавлена отправка данных пользователя в e-mail уведомлениях менеджеру теста;
- добавлена возможность прохождения теста без авторизации на сайте;
- добавлено автоматическое удаление результатов тестов с настройкой периода их хранения;
ВАЖНО: после установки обновления необходимо в настройках компонента настроить параметры доступа и хранения результатов! 
';
}
// ----- END UDATE TO VERSION 1.9 -----

// ----- START UDATE TO VERSION 1.10 -----
if (($version_id === '1.9' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_group` TEXT NOT NULL";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_category` ADD COLUMN `category_group` TEXT NOT NULL";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2015-10-25';
$version_update = '1.10';
$version_info .= '- добавлена функция проверки заполнения полей анкеты пользователя (цифры, e-mail, URL);
- добавлена функция определения доступа к тестам для групп пользователей.
';
}
// ----- END UDATE TO VERSION 1.10 -----

// ----- START UDATE TO VERSION 1.11 -----
if (($version_id === '1.10' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_group_positive` INT(11) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_group_negative` INT(11) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2015-11-04';
$version_update = '1.11';
$version_info .= '- изменена настройка доступа пользователя к тесту, доступ по группе заменён на доступ по уровню;
- добавлена функция изменения группы пользователя при положительном результате;
- добавлена функция изменения группы пользователя при отрицательном результате.
';
}
// ----- END UDATE TO VERSION 1.11 -----

// ----- START UDATE TO VERSION 1.12 -----
if (($version_id === '1.11' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_admin_fields` TEXT NOT NULL";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2015-11-20';
$version_update = '1.12';
$version_info .= '- добавлена функция обработки спецсимволов в полях групп, вопросов и ответов;
- добавлена функция выбора параметра пользователя для его отображения в списке результатов.
';
}
// ----- END UDATE TO VERSION 1.12 -----

// ----- START UDATE TO VERSION 1.13 -----
if (($version_id === '1.12' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-12-03';
$version_update = '1.13';
$version_info .= '- подключена функция отправки вопросов, выбранных ответов и рекомендаций в e-mail уведомлениях.
';
}
// ----- END UDATE TO VERSION 1.13 -----

// ----- START UDATE TO VERSION 1.14 -----
if (($version_id === '1.13' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2015-12-25';
$version_update = '1.14';
$version_info .= '- подключена функция отображения заголовка и описания групп вопросов.
- подключены опции отключения отображения заголовка и описания групп вопросов.
';
}
// ----- END UDATE TO VERSION 1.14 -----

// ----- START UDATE TO VERSION 1.15 -----
if (($version_id === '1.14' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2016-02-04';
$version_update = '1.15';
$version_info .= '- подключена функция определения порядка вывода списка тестов категории.
';
}
// ----- END UDATE TO VERSION 1.15 -----

// ----- START UDATE TO VERSION 1.16 -----
if (($version_id === '1.15' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2016-02-12';
$version_update = '1.16';
$version_info .= '- подключена функция cкрытия ссылок на недоступные тесты в списке категории
(если тест по какой-либо причине недоступен, пользователю показывается соответствующее уведомление во всплывающей подсказке)
- подключена функция проверки успешного прохождения предыдущего теста
(в случае, если тест доступен только при условии положительного прохождения другого теста)
';
}
// ----- END UDATE TO VERSION 1.16 -----

// ----- START UDATE TO VERSION 1.17 -----
if (($version_id === '1.16' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2016-02-22';
$version_update = '1.17';
$version_info .= '- исправлена функция отправки результатов менеджеру по e-mail (исключена зависимость отправки от показа результатат клиенту);
- подключены теги подстановки данных в сообщения, показываемые пользователю после прохождения теста.
';
}
// ----- END UDATE TO VERSION 1.17 -----

// ----- START UDATE TO VERSION 1.18 -----
if (($version_id === '1.17' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_result` ADD COLUMN `result_points_group` int(11) NOT NULL DEFAULT '0'";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_result` ADD COLUMN `result_points_group_id` int(11) NOT NULL DEFAULT '0'";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2016-04-06';
$version_update = '1.18';
$version_info .= '- подключена функция проверки проходного балла группы вопросов (если в группе вопросов не набран проходной балл, то тест завершается с подсчётом результата по пройденным вопросам. Чтобы исключить проверку по группе вопросов, установите проходной балл группы в нулевое значение.);
- исправлена ошибка записи пустых значений (невыбранных ответов);
- исправлена ошибка отображения данных пользователей в таблице результатов;
- исправлена ошибка вывода рекомендаций при просмотре результата теста.
';
}
// ----- END UDATE TO VERSION 1.18 -----

// ----- START UDATE TO VERSION 1.19 -----
if (($version_id === '1.18' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_question` ADD COLUMN `question_image_resize` int(11) NOT NULL DEFAULT '0'";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_question` ADD COLUMN `question_answer_colums` int(11) NOT NULL DEFAULT '1'";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2016-06-03';
$version_update = '1.19';
$version_info .= '- активирована функция добавления изображения к вопросу;
- доработан макет вопроса и стили его отображения;
- добавлена функция отображения нескольких ответов в одну строку.
';
}
// ----- END UDATE TO VERSION 1.19 -----

// ----- START UDATE TO VERSION 1.20 -----
if (($version_id === '1.19' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2016-08-19';
$version_update = '1.20';
$version_info .= '- добавлена функция печати результата теста в PDF файл;
- добавлено автоматическое заполнение полей теста в админпанели значениями по умолчанию;
- исправлен баг функции запуска таймера теста в случае отсутствия форм дополнительного сбора данных пользователя.
';
}
// ----- END UDATE TO VERSION 1.20 -----

// ----- START UDATE TO VERSION 1.21 -----
if (($version_id === '1.20' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$db->SetQuery("CREATE TABLE #__jr_tfb_plugins 
(
  id int(11) NOT NULL AUTO_INCREMENT,
  plugins_file varchar(255) NOT NULL,
  plugins_name varchar(255) NOT NULL,
  plugins_desc varchar(255) NOT NULL,
  plugins_options_name text NOT NULL,
  plugins_options_type text NOT NULL,
  plugins_options_value_name text NOT NULL,
  plugins_options_value text NOT NULL,
  plugins_options_selected text NOT NULL,
  plugins_panel int(1) NOT NULL DEFAULT '0',
  published int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
)
");
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2016-11-07';
$version_update = '1.21';
$version_info .= '- добавлено управление дополнительными функциями компонента;
- добавлена функция резервного копирования и восстановления тестов.
';
}
// ----- END UDATE TO VERSION 1.21 -----

// ----- START UDATE TO VERSION 1.22 -----
if (($version_id === '1.21' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2017-02-20';
$version_update = '1.22';
$version_info .= '- добавлена функция переопределения вывода рекомендаций и списка ответов в результатах тестов;
  - подключены текстовые редакторы в e-mail уведомлениях.
';
}
// ----- END UDATE TO VERSION 1.22 -----

// ----- START UDATE TO VERSION 1.23 -----
if (($version_id === '1.22' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_print_pdf_admin` INT(1) DEFAULT 1";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_print_pdf_client` INT(1) DEFAULT 1";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_result_show_time` INT(1) DEFAULT 3";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_result_show_date` INT(1) DEFAULT 3";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_result_show_points` INT(1) DEFAULT 3";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_result_show_scale` INT(1) DEFAULT 3";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_result_show_result` INT(1) DEFAULT 3";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2017-03-05';
$version_update = '1.23';
$version_info .= '- добавлена опция активации pdf принтера (скрытие кнопки принтера)
- добавлена опция определения показа времени прохождения теста
- добавлена опция определения показа даты и времени завершения теста
- добавлена опция определения показа набранных баллов
- добавлена опция определения показа оценки
- добавлена опция определения показа результата теста (пройден, не пройден, не завершён)
- добавлены опции определения вывода информации в списке результатов (показ даты, набранных баллов, оценки, результата теста и вид отображения названия теста).
';
}
// ----- END UDATE TO VERSION 1.23 -----

// ----- START UDATE TO VERSION 1.24 -----
if (($version_id === '1.23' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2017-05-05';
$version_update = '1.24';
$version_info .= '- добавлена функция вёрстки вопросов, ответов и рекомендаций в e-mail уведомлениях
- добавлена страница просмотра вопросов, ответов и рекомендаций по настраиваемым параметрам в пункет меню.
';
}
// ----- END UDATE TO VERSION 1.24 -----

// ----- START UDATE TO VERSION 1.25 -----
if (($version_id === '1.24' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2017-06-07';
$version_update = '1.25';
$version_info .= '- исправлена ошибка подключения фреймворков Joomla 3.7
';
}
// ----- END UDATE TO VERSION 1.25 -----

// ----- START UDATE TO VERSION 1.26 -----
if (($version_id === '1.25' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_form` ADD COLUMN `form_search` INT(1) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2017-12-09';
$version_update = '1.26';
$version_info .= '- в форму поиска результатов добавлен фильтр по данным ползователей
';
}
// ----- END UDATE TO VERSION 1.26 -----

// ----- START UDATE TO VERSION 1.27 -----
if (($version_id === '1.26' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2018-12-09';
$version_update = '1.27';
$version_info .= '- исправлена ошибка обработки кавычек в плагине создания резервной копии тестов (BONUS PACK компонента)
- обновлён скрипт проверки e-mail адреса при заполнении формы пользователя
- отключена ссылка на сайт автора при установленном пакете расширений (BONUS PACK компонента)
';
}
// ----- END UDATE TO VERSION 1.27 -----

// ----- START UDATE TO VERSION 1.28 -----
if (($version_id === '1.27' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2019-04-16';
$version_update = '1.28';
$version_info .= '- добавлена опция отправки e-mail уведомлений менеджеру от имени пользователя (Настройки компонента -> Основные -> Уведомлять менеджера от имени клиента)
- добавлен новый тип поля "Номер телефона" с маской телефона и определением кода страны
';
}
// ----- END UDATE TO VERSION 1.28 -----

// ----- START UDATE TO VERSION 1.29 -----
if (($version_id === '1.28' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2020-12-01';
$version_update = '1.29';
$version_info .= '- исправлена ошибка проверки балла прохождения группы вопросов
- исправлена ошибка проверки параметров изображений теста и категории при из загрузке на сервер
- обновлена версия PDF принтера (совместимость с PHP7)
';
}
// ----- END UDATE TO VERSION 1.29 -----

// ----- START UDATE TO VERSION 1.30 -----
if (($version_id === '1.29' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$version_date = '2021-03-28';
$version_update = '1.30';
$version_info .= '- изменён формат отправки сообщений по e-mail (с text на HTML)
- устранена ошибка обработки тегов в плагине вёрстки вопросов, ответов и рекомендаций в e-mail уведомлениях
- исправлена функция проверки баллов по группе вопросов
';
}
// ----- END UDATE TO VERSION 1.30 -----

// ----- START UDATE TO VERSION 1.31 -----
if (($version_id === '1.30' OR $update_next == 1) AND $error_update == 0) {
$nothing_to_do = 1;
$update_next = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_blank` TEXT NOT NULL";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_template` TEXT NOT NULL";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_condition` INT(1) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_access` INT(1) DEFAULT 3";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_verification` INT(1) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_valid` INT(1) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_certificate_term` INT(11) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_test` ADD COLUMN `test_cost` INT(11) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$alter = "ALTER TABLE `#__jr_tfb_form` ADD COLUMN `form_access` INT(1) DEFAULT 0";
$db->setQuery($alter);
if ($db->query()) $error_update = 0;
else $error_update = 1;
$version_date = '2021-04-17';
$version_update = '1.31';
$version_info .= '- добавлена функция печати сертификата теста в формате PDF (требуется установка дополнительного расширения компонента)
  - добавлена опция настройки доступа к данным пользователя (ограничение доступа при общем просмотре и проверки сертификата)
';
}
// ----- END UDATE TO VERSION 1.31 -----

if ($nothing_to_do == 0) echo '
<div id="command">1</div>
<div id="answers">'.JText::_( 'JR_TFB_NO_DB_UPDATES' ).'</div>';
else if ($nothing_to_do == 1 AND $error_update == 1) echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_ERROR_DB_UPDATES' ).'</div>';
else {
// Get date
$currentdate = JFactory::getDate()->format('Y-m-d');
$update_entry = "UPDATE `#__jr_tfb_version` SET `version_relize` = '$version_update', `version_desc` = '$version_info', `version_date` = '$version_date', `version_update` = '$currentdate' WHERE `id` = 1";
$db->setQuery($update_entry);
if ($db->query()) $error_update = 0;
else $error_update = 1;
if ($error_update == 0) echo '
<div id="command">1</div>
<div id="answers">
'.nl2br($version_info).'
<span class="jr_notic">'.JText::_( 'JR_TFB_UPDATED_TO' ).$version_update.'</span>
</div>';
else echo '
<div id="command">1</div>
<div id="answers">
'.nl2br($version_info).'
<span class="jr_notic">'.JText::_( 'JR_TFB_ERROR_VERSION_UPDATE' ).'</span>
</div>';
		}
	}
}
else echo '
<div id="command">0</div>
<div id="answers">'.JText::_( 'JR_TFB_ERROR' ).'</div>';
?>